import 'package:feedify/src/model/ad/model_ad_request.dart';
import 'package:feedify/src/model/notification/model_notification.dart';
import 'package:feedify/src/model/register/register_request.dart';
import 'package:feedify/src/service/api-provider.dart';

class Repository {
  final ApiProvider _apiProvider = ApiProvider();

  void register(RegisterRequest registerRequest) =>
      _apiProvider.register(registerRequest);

  Future<ModelNotification?> fetchAd(ModelAdRequest modelAdRequest) =>
      _apiProvider.fetchAd(modelAdRequest);


  Future<ModelNotification?> fetchEmptyDataNotification(String token) =>
      _apiProvider.fetchEmptyDataNotification(token);

  void countDelivery(String id, String type) =>
      _apiProvider.countDelivery(id, type);

  void callClickApi(String id, String type) =>
      _apiProvider.callClickApi(id, type);
}
